summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/gensync2
-rwxr-xr-xscripts/makepkg11
2 files changed, 10 insertions, 3 deletions
diff --git a/scripts/gensync b/scripts/gensync
index ed6a0680..49a2939a 100755
--- a/scripts/gensync
+++ b/scripts/gensync
@@ -134,6 +134,8 @@ db_write_entry()
done
echo "" >>depends
fi
+ # preserve the modification time
+ touch -r $1 desc depends
}
if [ $# -lt 2 ]; then
diff --git a/scripts/makepkg b/scripts/makepkg
index efc750d2..a4c4d23a 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -463,6 +463,7 @@ if [ "$GENMD5" = "0" ]; then
# extract sources
msg "Extracting Sources..."
for netfile in ${source[@]}; do
+ unziphack=0
file=`strip_url $netfile`
unset cmd
case $file in
@@ -473,6 +474,7 @@ if [ "$GENMD5" = "0" ]; then
*.tar)
cmd="tar -xf $file" ;;
*.zip)
+ unziphack=1
cmd="unzip -qqo $file" ;;
*.gz)
cmd="gunzip $file" ;;
@@ -483,9 +485,12 @@ if [ "$GENMD5" = "0" ]; then
msg " $cmd"
$cmd
if [ $? -ne 0 ]; then
- error "Failed to extract $file"
- msg "Aborting..."
- exit 1
+ # unzip will return a 1 as a warning, it is not an error
+ if [ "$unziphack" != "1" -o $? -ne 1 ]; then
+ error "Failed to extract $file"
+ msg "Aborting..."
+ exit 1
+ fi
fi
fi
done